-- Script de inicio de severancio
--

math.randomseed(RANDOMSEED)

DIST_PUNCH1 = 0.07
DIST_PUNCH2 = 0.12
DIST_KICK2 = 0.06

ESTADO_ATAQUE = 0
ESTADO_DEFENSA = 1
ESTADO_HUIR = 2
	
ENERGIA_COMBO1 = 1.0

golpesRecibidos = 0
tiempoUltimoGolpe = 0.0

Sonido1 = -1
Sonido2 = -1

Sonido1 = Accion(CARGA_SONIDO,"sonido\\fiu.wav")
Sonido2 = Accion(CARGA_SONIDO,"sonido\\pio2.wav")

estado = ESTADO_DEFENSA

if math.random() < 0.5 then
	estado = ESTADO_ATAQUE
else
	estado = ESTADO_DEFENSA
end


tiempoEspera = 0.05

nVecesStunt = 0

tiempoCadenaCombo = 0.0

AccionIA = ACCION_DOWN

Accion(SELECCIONA_ANI,"ANI_WIN3")

--define funcion damepotencia

function DamePotencia (anima) 
   local potenciatotal = 1.0
   -- por ahora no se usa anima,
   -- pero si no es nula se deberia analizar anima en lugar de la sel

   if Accion(ANI_SEL, "ANI_PUNCH1") then 
      potenciatotal = 2.0
   end

 	return potenciatotal
end

-- LOG("PATH: "..PATH)
